from django.urls import path

from .views import SignUpView, SubmitStudentsView, UpdateAccountView, ScoresRedirect, HomeView, NewsView, ScoresView, RulesView, TestsView, ContactView

urlpatterns = [
    path('', HomeView.as_view(), name='home'),
    path('aktualnosci', NewsView.as_view(), name='news'),
    path('regulamin', RulesView.as_view(), name='rules'),
    path('zadania', TestsView.as_view(), name='tests'),
    path('wyniki', ScoresRedirect, name='scores'),
    path('wyniki/<int:year>', ScoresView, name='scores'),
    path('kontakt', ContactView.as_view(), name='contact'),
    path('rejestracja', SignUpView.as_view(), name='signup'),

    path('konto', UpdateAccountView, name='account'),
    path('zgloszenie', SubmitStudentsView, name='submission')
]
